#include <fstream>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	double x;
	int n;
	double ans = 0;
	double temp = 1;
	double up = 1;
	double down = 1;
	input.open("bieuthucf.inp");
	input >> x >> n;
	input.close();
	for (int i = 1; i <= n; i++)
	{
		temp *= x / i;
		ans += temp;
	}
	output.open("bieuthucf.out");
	output.setf(ios::fixed);
	output.precision(3);
	output << ans;
	return 0;
}